Package ru.bgcrm.plugin.asterisk

# Class AmiEventListener

java.lang.Object
java.lang.Thread
ru.bgcrm.plugin.asterisk.AmiEventListener

All Implemented Interfaces:
  `Runnable`, `EventListener`, `org.asteriskjava.manager.ManagerEventListener`

public class AmiEventListener extends Thread implements org.asteriskjava.manager.ManagerEventListener

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmiEventListener(MessageTypeCall messageType, ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `logoff()`
  `void`
  `onManagerEvent(org.asteriskjava.manager.event.ManagerEvent e)`
  `void`
  `run()`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AmiEventListener

    public AmiEventListener(MessageTypeCall messageType, ConfigMap config)

- ## Method Details

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`

  - ### logoff

    public void logoff()

  - ### onManagerEvent

    public void onManagerEvent(org.asteriskjava.manager.event.ManagerEvent e)
    Specified by:
      `onManagerEvent` in interface `org.asteriskjava.manager.ManagerEventListener`